COREDEFS += -DTINY_COMPILE=1
COREDEFS += -DTINY_NAME="driver_ninjamas,driver_twinspri,driver_pulstar,driver_wh1h,driver_magdrop3,driver_panicbom,driver_nitd,driver_kof2002,driver_kof2001,driver_rotd,driver_miexchng,driver_neobombe,driver_mslug4,driver_bakatono,driver_zedblade,driver_mslug,driver_s1945p,driver_2020bbh,driver_irrmaze,driver_sengoku3,driver_viewpoin,driver_shocktr2,driver_wakuwak7,driver_pbobbl2n,driver_puzzldpr,driver_pbobblen,driver_marukodq,driver_sdodgeb,driver_tws96,driver_fightfev,driver_popbounc,driver_bangbead,driver_preisle2"
COREDEFS += -DTINY_POINTER="&driver_ninjamas,&driver_twinspri,&driver_pulstar,&driver_wh1h,&driver_magdrop3,&driver_panicbom,&driver_nitd,&driver_kof2002,&driver_kof2001,&driver_rotd,&driver_miexchng,&driver_neobombe,&driver_mslug4,&driver_bakatono,&driver_zedblade,&driver_mslug,&driver_s1945p,&driver_2020bbh,&driver_irrmaze,&driver_sengoku3,&driver_viewpoin,&driver_shocktr2,&driver_wakuwak7,&driver_pbobbl2n,&driver_puzzldpr,&driver_pbobblen,&driver_marukodq,&driver_sdodgeb,&driver_tws96,&driver_fightfev,&driver_popbounc,&driver_bangbead,&driver_preisle2"
COREDEFS += -DTINY_OPTIONS="{0,0,0,0,0,0,0,0,6,1,0,60,45,0,0,0,0,0,0,0}"
COREDEFS += -DMENU_MAX=43
COREDEFS += -DWT_NOAUDIT -DWT_NOCHEAT -DWT_NOSTATE -DWT_NOINFO -DWT_NODATAFILE -DMAX_8910=5 -DWT_NOKEYBOARD
# COREDEFS += -DNOPS=4

# ,------------------------------------------------------------------------------,
# | FREQ | ATHD | ATHRT | DMDE | FPS  | CSPF | VDMA | VTHD | COLM | VTHRT | FSKP |
# '------------------------------------------------------------------------------'


# CPUs
CPUS+=Z80@
CPUS+=M68000@
SOUNDS+=YM2610@

OBJS = 	$(OBJ)/drivers/neogeo.o \
	$(OBJ)/vidhrdw/neogeo.o \
	$(OBJ)/machine/neogeo.o \
	$(OBJ)/machine/neocrypt.o \
	$(OBJ)/machine/pd4990a.o

# MAME specific core objs
COREOBJS += $(OBJ)/driver.o $(OBJ)/drawgfx.o
