COREDEFS += -DTINY_COMPILE=1
COREDEFS += -DTINY_NAME="driver_alibaba,driver_acitya,driver_beastf,driver_bwcasino,driver_catapult,driver_crush3,driver_crush2,driver_crush,driver_dremshpr,driver_eggor,driver_eyes,driver_eyes2,driver_hangly,driver_hangly2,driver_igmo,driver_joyman,driver_jrpacman,driver_jumpshot,driver_korosuke,driver_lizwiz,driver_mbrush,driver_maketrax,driver_maketrxb,driver_megadon,driver_mrtnt,driver_mspacmat,driver_mspacmab,driver_mspacpls,driver_mspacman,driver_mschamp,driver_nmouse,driver_nmouseb,driver_newpuckx,driver_newpuc2b,driver_newpuc2,driver_pacgal,driver_pacheart,driver_pacmod,driver_pacman,driver_pacplus,driver_paintrlr,driver_pengob,driver_pengo,driver_pengo2u,driver_pengo2,driver_penta,driver_piranhah,driver_piranhao,driver_piranha,driver_ponpokov,driver_ponpoko,driver_puckman,driver_puckmana,driver_puckmod,driver_shootbul,driver_suprglob,driver_theglobp,driver_theglob2,driver_theglob3,driver_theglob,driver_vanvank,driver_vanvan"
COREDEFS += -DTINY_POINTER="&driver_alibaba,&driver_acitya,&driver_beastf,&driver_bwcasino,&driver_catapult,&driver_crush3,&driver_crush2,&driver_crush,&driver_dremshpr,&driver_eggor,&driver_eyes,&driver_eyes2,&driver_hangly,&driver_hangly2,&driver_igmo,&driver_joyman,&driver_jrpacman,&driver_jumpshot,&driver_korosuke,&driver_lizwiz,&driver_mbrush,&driver_maketrax,&driver_maketrxb,&driver_megadon,&driver_mrtnt,&driver_mspacmat,&driver_mspacmab,&driver_mspacpls,&driver_mspacman,&driver_mschamp,&driver_nmouse,&driver_nmouseb,&driver_newpuckx,&driver_newpuc2b,&driver_newpuc2,&driver_pacgal,&driver_pacheart,&driver_pacmod,&driver_pacman,&driver_pacplus,&driver_paintrlr,&driver_pengob,&driver_pengo,&driver_pengo2u,&driver_pengo2,&driver_penta,&driver_piranhah,&driver_piranhao,&driver_piranha,&driver_ponpokov,&driver_ponpoko,&driver_puckman,&driver_puckmana,&driver_puckmod,&driver_shootbul,&driver_suprglob,&driver_theglobp,&driver_theglob2,&driver_theglob3,&driver_theglob,&driver_vanvank,&driver_vanvan"
COREDEFS += -DTINY_OPTIONS="{22050,2,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}"
COREDEFS += -DMENU_MAX=72
COREDEFS += -DWT_NOAUDIT -DWT_NOCHEAT -DWT_NOSTATE -DWT_NOINFO -DWT_NOARTWORK -DWT_NODATAFILE -DWT_NOWATCHDOG

# ,------------------------------------------------------------------------------,
# | FREQ | ATHD | ATHRT | DMDE | FPS  | CSPF | VDMA | VTHD | COLM | VTHRT | FSKP |
# '------------------------------------------------------------------------------'


# uses these CPUs
CPUS+=Z80@
SOUNDS+=SN76496@
SOUNDS+=AY8910@
SOUNDS+=NAMCO@

OBJS = 	$(OBJ)/drivers/pacman.o $(OBJ)/drivers/jrpacman.o $(OBJ)/drivers/pengo.o \
	$(OBJ)/drivers/epos.o \
	$(OBJ)/vidhrdw/jrpacman.o $(OBJ)/vidhrdw/pengo.o $(OBJ)/vidhrdw/epos.o \
	$(OBJ)/machine/pacplus.o $(OBJ)/machine/jumpshot.o \
	$(OBJ)/machine/theglobp.o $(OBJ)/machine/segacrpt.o $(OBJ)/machine/mspacman.o \
	$(OBJ)/machine/acitya.o


# MAME specific core objs
COREOBJS += $(OBJ)/driver.o $(OBJ)/drawgfx.o

